Index: code/branches/gui/src/orxonox/gamestates/GSClient.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSClient.cc	(revision 2799)
+++ code/branches/gui/src/orxonox/gamestates/GSClient.cc	(revision 2800)
@@ -31,4 +31,5 @@
 
 #include "core/input/InputManager.h"
+#include "core/Clock.h"
 #include "core/CommandLine.h"
 #include "core/Core.h"
@@ -60,5 +61,6 @@
         GSLevel::enter(this->getParent()->getViewport());
 
-        client_->tick(0);
+        // TODO: Get Clock from Game or GameStateManager, but with 0 delta time
+        client_->update(Clock());
     }
 
@@ -78,5 +80,5 @@
     {
         GSLevel::ticked(time);
-        client_->tick(time.getDeltaTime());
+        client_->update(time);
 
         this->tickChild(time);
Index: code/branches/gui/src/orxonox/gamestates/GSDedicated.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSDedicated.cc	(revision 2799)
+++ code/branches/gui/src/orxonox/gamestates/GSDedicated.cc	(revision 2800)
@@ -30,4 +30,5 @@
 #include "GSDedicated.h"
 
+#include "core/Clock.h"
 #include "core/CommandLine.h"
 #include "core/Core.h"
@@ -83,5 +84,5 @@
             timeSinceLastUpdate_ -= static_cast<unsigned int>(timeSinceLastUpdate_ / NETWORK_PERIOD) * NETWORK_PERIOD;
             GSLevel::ticked(time);
-            server_->tick(time.getDeltaTime());
+            server_->update(time);
             this->tickChild(time);
         }
Index: code/branches/gui/src/orxonox/gamestates/GSGUI.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSGUI.cc	(revision 2799)
+++ code/branches/gui/src/orxonox/gamestates/GSGUI.cc	(revision 2800)
@@ -31,4 +31,5 @@
 
 #include <OgreViewport.h>
+#include "core/Clock.h"
 #include "core/input/InputManager.h"
 #include "core/input/SimpleInputState.h"
@@ -64,5 +65,5 @@
     {
         // tick CEGUI
-        guiManager_->tick(time.getDeltaTime());
+        guiManager_->update(time);
 
         this->tickChild(time);
Index: code/branches/gui/src/orxonox/gamestates/GSGraphics.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSGraphics.cc	(revision 2799)
+++ code/branches/gui/src/orxonox/gamestates/GSGraphics.cc	(revision 2800)
@@ -233,7 +233,7 @@
         float dt = time.getDeltaTime();
 
-        this->inputManager_->tick(dt);
+        this->inputManager_->update(time);
         // tick console
-        this->console_->tick(dt);
+        this->console_->update(time);
         this->tickChild(time);
 
Index: code/branches/gui/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSRoot.cc	(revision 2799)
+++ code/branches/gui/src/orxonox/gamestates/GSRoot.cc	(revision 2800)
@@ -134,5 +134,5 @@
         uint64_t timeBeforeTick = time.getRealMicroseconds();
 
-        Core::getInstance().tick(time);
+        Core::getInstance().update(time);
 
         for (ObjectList<TimerBase>::iterator it = ObjectList<TimerBase>::begin(); it; ++it)
Index: code/branches/gui/src/orxonox/gamestates/GSServer.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSServer.cc	(revision 2799)
+++ code/branches/gui/src/orxonox/gamestates/GSServer.cc	(revision 2800)
@@ -73,5 +73,5 @@
     {
         GSLevel::ticked(time);
-        server_->tick(time.getDeltaTime());
+        server_->update(time);
         this->tickChild(time);
     }
Index: code/branches/gui/src/orxonox/gamestates/GSStandalone.cc
===================================================================
--- code/branches/gui/src/orxonox/gamestates/GSStandalone.cc	(revision 2799)
+++ code/branches/gui/src/orxonox/gamestates/GSStandalone.cc	(revision 2800)
@@ -86,5 +86,5 @@
         }
         // tick CEGUI
-        guiManager_->tick(time.getDeltaTime());
+        guiManager_->update(time);
 
         GSLevel::ticked(time);
Index: code/branches/gui/src/orxonox/gui/GUIManager.h
===================================================================
--- code/branches/gui/src/orxonox/gui/GUIManager.h	(revision 2799)
+++ code/branches/gui/src/orxonox/gui/GUIManager.h	(revision 2800)
@@ -40,4 +40,5 @@
 #include <CEGUIInputEvent.h>
 #include <CEGUISystem.h>
+#include "core/Clock.h"
 #include "core/input/InputInterfaces.h"
 
@@ -71,8 +72,8 @@
         bool initialise(Ogre::RenderWindow* renderWindow);
         void loadScene(const std::string& name);
-        void tick(float dt)
+        void update(const Clock& time)
         {
             assert(guiSystem_);
-            guiSystem_->injectTimePulse(dt);
+            guiSystem_->injectTimePulse(time.getDeltaTime());
         }
         void showGUI(const std::string& name, Ogre::SceneManager* sceneManager);// bool showBackground); // tolua_export
@@ -108,7 +109,7 @@
         { guiSystem_->injectMouseWheelChange(rel);}
 
-        void tickInput(float dt) { }
-        void tickKey(float dt) { }
-        void tickMouse(float dt) { }
+        void updateInput(float dt) { }
+        void updateKey(float dt) { }
+        void updateMouse(float dt) { }
 
         void loadScenes();
Index: code/branches/gui/src/orxonox/overlays/console/InGameConsole.cc
===================================================================
--- code/branches/gui/src/orxonox/overlays/console/InGameConsole.cc	(revision 2799)
+++ code/branches/gui/src/orxonox/overlays/console/InGameConsole.cc	(revision 2800)
@@ -42,4 +42,5 @@
 #include "util/Convert.h"
 #include "util/Debug.h"
+#include "core/Clock.h"
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
@@ -347,5 +348,5 @@
         @brief Used to control the actual scrolling and the cursor.
     */
-    void InGameConsole::tick(float dt)
+    void InGameConsole::update(const Clock& time)
     {
         if (this->scroll_ != 0)
@@ -358,5 +359,5 @@
                 // enlarge oldTop a little bit so that this exponential function
                 // reaches 0 before infinite time has passed...
-                float deltaScroll = (oldTop - 0.01) * dt * this->scrollSpeed_;
+                float deltaScroll = (oldTop - 0.01) * time.getDeltaTime() * this->scrollSpeed_;
                 if (oldTop - deltaScroll >= 0)
                 {
@@ -373,5 +374,5 @@
                 // scrolling up
                 // note: +0.01 for the same reason as when scrolling down
-                float deltaScroll = (1.2 * this->relativeHeight + 0.01 + oldTop) * dt * this->scrollSpeed_;
+                float deltaScroll = (1.2 * this->relativeHeight + 0.01 + oldTop) * time.getDeltaTime() * this->scrollSpeed_;
                 if (oldTop - deltaScroll <= -1.2 * this->relativeHeight)
                 {
@@ -388,5 +389,5 @@
         if (this->bActive_)
         {
-            this->cursor_ += dt;
+            this->cursor_ += time.getDeltaTime();
             if (this->cursor_ >= this->blinkTime)
             {
Index: code/branches/gui/src/orxonox/overlays/console/InGameConsole.h
===================================================================
--- code/branches/gui/src/orxonox/overlays/console/InGameConsole.h	(revision 2799)
+++ code/branches/gui/src/orxonox/overlays/console/InGameConsole.h	(revision 2800)
@@ -53,5 +53,5 @@
         void setConfigValues();
 
-        virtual void tick(float dt);
+        void update(const Clock& time);
 
         static InGameConsole& getInstance() { assert(singletonRef_s); return *singletonRef_s; }
